Insert image in AutoCAD or Civil 3D without external reference

Insert image in AutoCAD or Civil 3D without external reference, is it possible? Help, I have 1000 images

How do you meen insert? With link, in dwgfile as raster image or as object?
One question that come up in my mind is, why do it with Dynamo? Can’t you use standard function and still save time?

OLE format, each image has coordinates. What would be the standard option, which adds 1000 images with coordinates without a link. Thank you

Oki, I see. No, then I don’t know. Didn’t understood that you where asking about OLE images.
Wonder, why didn’t you pinged you previous post about the same topic which I found when I started to search for info?
KR
Patrick

I found this, but I don’t understand python

something like this

open the image in Paint or any other image editing software,
Press CTRL+A to select all, CTRL+C to copy, and paste in AutoCAD (CTRL+V)

That doesn’t work for me for multiple images :frowning:

It’s more like an Autolisp related issue than Dynamo…

Can someone help me, what is the error?

import sys
import clr
import os

# Add Assemblies for AutoCAD
clr.AddReference('AcMgd')
clr.AddReference('AcCoreMgd')
clr.AddReference('AcDbMgd')
clr.AddReference('Autodesk.AutoCAD.Interop')

# Import references from AutoCAD
from Autodesk.AutoCAD.Runtime import *
from Autodesk.AutoCAD.ApplicationServices import *
from Autodesk.AutoCAD.EditorInput import *
from Autodesk.AutoCAD.DatabaseServices import *
from Autodesk.AutoCAD.Geometry import *
from Autodesk.AutoCAD.Interop import *

# Remove conflicting method
del globals()["Image"]

adoc = Application.DocumentManager.MdiActiveDocument

# Add Assemblies for Windows
clr.AddReference("System.Windows.Forms")
clr.AddReference("System.Drawing")

# Import references from Windows
from System.Windows.Forms import Clipboard
from System.Drawing import Image

output = []

for raster in IN[0]:
    imgpath = raster[0]
    if isinstance(imgpath, str) and os.path.isfile(imgpath):
        img = Image.FromFile(imgpath)
        Clipboard.Clear()
        Clipboard.SetImage(img)
        
        if Clipboard.ContainsImage():
            origin = raster[3]
            comstr = "_.PASTECLIP\n" + str(origin.X) + "," + str(origin.Y) + "\n"
            
            adoc.SendStringToExecute(comstr, True, False, True)
        
            output.append([True, raster[3:]])
      
        else:
            output.append([False])        
    else:
        output.append([False])
        
OUT = output

You tell us?